aboutsummaryrefslogtreecommitdiffstats
path: root/tools/check/chk
diff options
context:
space:
mode:
Diffstat (limited to 'tools/check/chk')
-rwxr-xr-xtools/check/chk19
1 files changed, 13 insertions, 6 deletions
diff --git a/tools/check/chk b/tools/check/chk
index 7859760bd7..d8eb2f17e3 100755
--- a/tools/check/chk
+++ b/tools/check/chk
@@ -1,8 +1,9 @@
-#!/bin/bash
+#!/bin/sh
-function usage {
+func_usage ()
+{
echo "Usage:"
- echo "\t$0 [build|install|clean]"
+ echo " $0 [build|install|clean]"
echo
echo "Check suitability for Xen build or install."
echo "Exit with 0 if OK, 1 if not."
@@ -12,7 +13,13 @@ function usage {
exit 1
}
-export PATH=${PATH}:/sbin:/usr/sbin
+PATH=${PATH}:/sbin:/usr/sbin
+OS=`uname -s`
+export PATH OS
+
+if test "${OS}" = "SunOS"; then
+ exit 0
+fi
case $1 in
build)
@@ -25,7 +32,7 @@ case $1 in
exit 0
;;
*)
- usage
+ func_usage
;;
esac
@@ -54,4 +61,4 @@ for f in check_* ; do
fi
done
-exit $failed
+exit ${failed}